Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Class DebuggerManagerAdapter

    java.lang.Object
      org.netbeans.api.debugger.DebuggerManagerAdapter

All Implemented Interfaces:
  PropertyChangeListener, EventListener, DebuggerManagerListener, LazyDebuggerManagerListener

    public class DebuggerManagerAdapter

extends Object
implements LazyDebuggerManagerListener

Empty implementation of `DebuggerManagerListener`.

Constructor Summary
`DebuggerManagerAdapter()`

Method Summary
`void` | `breakpointAdded(Breakpoint breakpoint)` Called when some breakpoint is added.
`void` | `breakpointRemoved(Breakpoint breakpoint)` Called when some breakpoint is removed.
`void` | `engineAdded(DebuggerEngine engine)` Called when some engine is added.
`void` | `engineRemoved(DebuggerEngine engine)` Called when some engine is removed.
`String[]` | `getProperties()` Returns list of properties this listener is listening on.
`Breakpoint[]` | `initBreakpoints()` Called when set of breakpoints is initialized.
`void` | `initWatches()` Called when set of watches is initialized.
`void` | `propertyChange(PropertyChangeEvent evt)`
`void` | `sessionAdded(Session session)` Called when some session is added.
`void` | `sessionRemoved(Session session)` Called when some session is removed.
`void` | `watchAdded(Watch watch)` Called when some watch is added.
`void` | `watchRemoved(Watch watch)` Called when some watch is removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebuggerManagerAdapter

    public DebuggerManagerAdapter()

Method Detail

### initBreakpoints

    public Breakpoint[] initBreakpoints()

  Called when set of breakpoints is initialized.

  Specified by:
    `initBreakpoints` in interface `DebuggerManagerListener`
  Returns:
    initial set of breakpoints

### breakpointAdded

    public void breakpointAdded(Breakpoint breakpoint)

  Called when some breakpoint is added.

  Specified by:
    `breakpointAdded` in interface `DebuggerManagerListener`
  Parameters:
    `breakpoint` - a new breakpoint

### breakpointRemoved

    public void breakpointRemoved(Breakpoint breakpoint)

  Called when some breakpoint is removed.

  Specified by:
    `breakpointRemoved` in interface `DebuggerManagerListener`
  Parameters:
    `breakpoint` - removed breakpoint

### initWatches

    public void initWatches()

  Called when set of watches is initialized.

  Specified by:
    `initWatches` in interface `DebuggerManagerListener`

### watchAdded

    public void watchAdded(Watch watch)

  Called when some watch is added.

  Specified by:
    `watchAdded` in interface `DebuggerManagerListener`
  Parameters:
    `watch` - a new watch

### watchRemoved

    public void watchRemoved(Watch watch)

  Called when some watch is removed.

  Specified by:
    `watchRemoved` in interface `DebuggerManagerListener`
  Parameters:
    `watch` - removed watch

### sessionAdded

    public void sessionAdded(Session session)

  Called when some session is added.

  Specified by:
    `sessionAdded` in interface `DebuggerManagerListener`
  Parameters:
    `session` - a new session

### sessionRemoved

    public void sessionRemoved(Session session)

  Called when some session is removed.

  Specified by:
    `sessionRemoved` in interface `DebuggerManagerListener`
  Parameters:
    `session` - removed session

### engineAdded

    public void engineAdded(DebuggerEngine engine)

  Called when some engine is added.

  Specified by:
    `engineAdded` in interface `DebuggerManagerListener`
  Parameters:
    `engine` - a new engine

### engineRemoved

    public void engineRemoved(DebuggerEngine engine)

  Called when some engine is removed.

  Specified by:
    `engineRemoved` in interface `DebuggerManagerListener`
  Parameters:
    `engine` - removed engine

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### getProperties

    public String[] getProperties()

  Description copied from interface: `LazyDebuggerManagerListener`
  Returns list of properties this listener is listening on.

  Specified by:
    `getProperties` in interface `LazyDebuggerManagerListener`
  Returns:
    list of properties this listener is listening on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.